Bug 494147 - PDF: Articles do not include author information (orgdiv, orgname, etc)
PDF: Articles do not include author information (orgdiv, orgname, etc)
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 21:01 EDT by Murray McAllister
Modified: 2015-01-04 17:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-16 19:16:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-04-04 21:01:16 EDT
Description of problem:
PDF articles do not include the author's organization, divison, or email address. PDF books include this information on page 2.

Version-Release number of selected component (if applicable):
publican-0.45-0.el5
publican-redhat-0.19-0.el5

How reproducible:
Always.

Steps to Reproduce:
1. create_book --type=Article --brand=RedHat --name=My_Article
2. edit "My_Article/en-US/Article_Info.xml":

	<productname>Red Hat Enterprise Linux</productname>
	<productnumber>5</productnumber>
	<edition>1.0</edition>
	<pubsnumber>0</pubsnumber>

3. cd My_Article/ && make pdf-en-US


Actual results:
No author information (organization, division, email address).

Expected results:
Author information (organization, division, email address).
Comment 1 Michael Hideo 2009-06-16 22:15:51 EDT
Moving to my QA list post docs.redhat.com rebase.
Comment 3 Jeff Fearn 2009-10-13 00:26:18 EDT
Hi Murray, there has been no feedback from anyone on if this data should present or how it should look. So if you tell me how you want it to look I'll implement that!

Cheers, Jeff.
Comment 4 Murray McAllister 2009-10-22 02:44:03 EDT
re comment #0, <http://icanhascheezburger.files.wordpress.com/2009/10/funny-pictures-cat-likes-your-point.jpg>.

re comment #3, please make the front cover of PDF documents identical to multi-page HTML documents.

Many thanks!
Comment 5 Jeff Fearn 2009-11-27 05:23:46 EST
Added Brian for his input.

Surely the only real difference between an article and a book is how they are formatted, so how should articles be formatted?
Comment 7 Bug Zapper 2010-11-04 07:22:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jeff Fearn 2012-12-16 19:16:52 EST
Fixed by switching PDF tools in Publican 3.0

Note You need to log in before you can comment on or make changes to this bug.